allComp {copula} | R Documentation

## All Components of a (Inner or Outer) Nested Archimedean Copula

### Description

Given the nested Archimedean copula `x`, return an integer vector of the indices of all components of the corresponding `outer_nacopula` which are components of `x`, either direct components or components of possible child copulas. This is typically only used by programmers investigating the exact nesting structure.

For an `outer_nacopula` object `x`, `allComp(x)` must be the same as `1:dim(x)`, whereas its “inner” component copulas will each contain a subset of those indices only.

### Usage

    allComp(x)

### Arguments

`x` | an R object inheriting from class `nacopula`.

### Value

An `integer` vector of indices j of all components u_j as described in the description above.

### Examples

     C3 <- onacopula("AMH", C(0.7135, 1, C(0.943, 2:3)))
     allComp(C3) # components are 1:3
     allComp(C3@childCops[[1]]) # for the child, only  (2, 3)

[Package copula version 0.999-15 Index]